
package notions;
import java.awt.Color;

public class Gruppe {

    int newGroupNumber;
    String specificName;

    String casName;       //  CAS = Chemical Abstracts Service (http://www.cas.org)
    String oldIUPACName;  //  IUPAC = International Union of Pure and Applied Chemistry (http://www.iupac.org)
    Color color;

    public Gruppe (int ngn, String cn, String iupacN, String nSpecific, Color c) {
        newGroupNumber = ngn;
        casName = cn;
        oldIUPACName = iupacN;
        specificName = nSpecific;
        color = c;
    }

    public Color getGroupColor() {
        return color;
    }

    public String getGroupDescription() {
        return specificName;
    }
}
