
package notions;

import java.util.HashMap;

/**
 * Zu den massiven Partikeln gehren neben Elementen und Verbindungen
 * auch Nukleonen, also Teilchen, die in einer chemischen Reaktion nicht
 * vorkommen knnen (wohl aber in einer elektrochemischen oder in einer
 * nuklearen Reaktion)
 * @author Projekte
 */
public abstract class Partikel {

    public abstract void toHtml(StringBuilder sb);
    public abstract float berechneMassen(int factor);
    public abstract void berechneStoffmengen(int factor, HashMap<String, Integer> d);
}
