
package notions;

import java.util.HashMap;
/**
 * (engl.: AmountInReaction)
 * @author B. Gaertner
 */
public class Stoffmenge {
    Partikel substanz;  //  fur electrochemical reactions we need electrons here
    int menge;

    public Stoffmenge(Partikel mp, int oc) {
        substanz = mp;
        menge = oc;
    }

    public Partikel substance () {
        return substanz;
    }

    public int stoffmenge () {
        return menge;
    }

    public void toHtml(StringBuilder sb) {
        if (menge > 1) {
            sb.append(Integer.toString(menge));
            sb.append(" ");
        }
        substanz.toHtml(sb);
    }

    public void berecheStoffmenge(HashMap<String, Integer> d) {
        substanz.berechneStoffmengen(menge, d);
    }
}
