
package parser;

/**
 * Eine Instanz enthlt die Schreibform eines regelkonform geschriebenen
 * Zahlenwerts.
 * Die Umwandlung der Schreibform in einen Zahlenwert ist Aufgabe
 * der Methode, die das Eingabezeichen verrbeitet.
 * @author B. Gaertner
 */
public class NumberToken extends Token {

    public NumberToken (String s, int p) {
        super(s, p);
    }

    @Override
    public boolean isNumber() {
        return true;
    }
}
