
package parser;
/**
*
* @author B. Gaertner
*/
public class Token extends AbstractToken {
   String string;

   public Token (String s, int p) {
       super(p);
       string = s;
   }

   @Override
   public String getString() {
       return string;
   }

   @Override
   public int getEndPosition() {
        return startPos + string.length();
    }

   @Override
   public boolean isSymbol(String s) {
       return string.equals(s);
   }
}
