/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package parsertests;

import notions.Reaktionsgleichung;
import notions.Periodensystem;
import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;
import static org.junit.Assert.*;
import parser.FormulaParser;
import parser.NotificationOfSyntaxError;
import window.ApplicationModel;

/**
 *
 * @author B. Gaertner
 */
public class HydroCarbonNamenTest {

    public HydroCarbonNamenTest() {
    }

    @BeforeClass
    public static void setUpClass() {
    }

    @AfterClass
    public static void tearDownClass() {
    }

    @Before
    public void setUp() {
    }

    @After
    public void tearDown() {
    }

    // TODO add test methods here.
    // The methods must be annotated with annotation @Test. For example:
    //
    // @Test
    // public void hello() {}

        @Test
    public void test001() {
        Periodensystem pse = new ApplicationModel().periodensystem();
        FormulaParser parser = new FormulaParser(pse);
        Reaktionsgleichung eq;
        try {
            eq = parser.parseFormula("2-Methylbutan");
            eq = parser.parseFormula("2,2-Dimethylbutan");
            eq = parser.parseFormula("3-Methylpentan");
            eq = parser.parseFormula("4-Ethyl-3-Methylheptan");
            eq = parser.parseFormula("2,3,3-Triethylhexan");
        }
        catch (NotificationOfSyntaxError ex) {
            System.out.println(ex.getMessage());
            assertTrue(false);
            return;
        }
        boolean x = eq.istWohlgeformt();
        assertTrue(x);
    }

}