
package notions;


/**
 * Diese abstrakte Klasse stellt die gemeinsamen Merkmale von Isotopen und
 * Elementen dar.
 * @author B. Gaertner
 */
public abstract class MassivesPartikel extends Stoff {
    float masse;

    protected MassivesPartikel(float m) {
        masse = m;
    }

    @Override
    public boolean istVerbindung() {
        return false;
    }

    @Override
    public float berechneMassen(int f) {
        return f*masse;
    }

    @Override
    public float molekularmasse() {
        return masse;
    }

}
