
package parser;

/**
* Eine Instanz von EndToken wird einem Eingabestrom als letztes
* Token angefgt. Die Instanz erscheint, sobaldder Eingabestrom
* vollstndig verarbeitet wurde.
* Ein EndToken hat keinen Inhalt.
* @author B. Gaertner
*/
public class EndToken extends AbstractToken {

   public EndToken (int p) {
       super(p);
   }

   @Override
   public boolean isEndToken() {
       return true;
   }
}
