
package parser;

/**
*
* @author B. Gaertner
*/
public class NotificationOfSyntaxError extends Exception {

     /**
	 *
	 */
    private static final long serialVersionUID = 1L;

    private int startPos;
    private int endPos;
    private SyntaxError errorId;

    public NotificationOfSyntaxError(int stP, int endP, SyntaxError se) {
        super(se.toString());
        startPos = stP;
        endPos = endP;
        errorId = se;
    }

    public int startPosition() {
        return startPos;
    }

    public int endPosition() {
        return endPos;
    }

    public SyntaxError getErrorID() {
        return errorId;
    }
}